SHARE
TWEET

cr01nk

a guest Nov 7th, 2009 361 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. # Makefile.in generated by automake 1.6.3 from Makefile.am.
  2. # Makefile.  Generated from Makefile.in by configure.
  3.  
  4. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
  5. # Free Software Foundation, Inc.
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9.  
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  12. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  13. # PARTICULAR PURPOSE.
  14.  
  15.  
  16. SHELL = /bin/bash
  17.  
  18. srcdir = .
  19. top_srcdir = .
  20.  
  21. prefix = /usr/local
  22. exec_prefix = ${prefix}
  23.  
  24. bindir = ${exec_prefix}/bin
  25. sbindir = ${exec_prefix}/sbin
  26. libexecdir = ${exec_prefix}/libexec
  27. datadir = ${prefix}/share
  28. sysconfdir = ${prefix}/etc
  29. sharedstatedir = ${prefix}/com
  30. localstatedir = ${prefix}/var
  31. libdir = ${exec_prefix}/lib
  32. infodir = ${prefix}/share/info
  33. mandir = ${prefix}/share/man
  34. includedir = ${prefix}/include
  35. oldincludedir = /usr/include
  36. pkgdatadir = $(datadir)/spike
  37. pkglibdir = $(libdir)/spike
  38. pkgincludedir = $(includedir)/spike
  39. top_builddir = .
  40.  
  41. ACLOCAL = aclocal-1.6
  42. AUTOCONF = autoconf
  43. AUTOMAKE = automake-1.6
  44. AUTOHEADER = autoheader
  45.  
  46. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  47. INSTALL = /usr/bin/install -c
  48. INSTALL_PROGRAM = ${INSTALL}
  49. INSTALL_DATA = ${INSTALL} -m 644
  50. install_sh_DATA = $(install_sh) -c -m 644
  51. install_sh_PROGRAM = $(install_sh) -c
  52. install_sh_SCRIPT = $(install_sh) -c
  53. INSTALL_SCRIPT = ${INSTALL}
  54. INSTALL_HEADER = $(INSTALL_DATA)
  55. transform = s,x,x,
  56. NORMAL_INSTALL = :
  57. PRE_INSTALL = :
  58. POST_INSTALL = :
  59. NORMAL_UNINSTALL = :
  60. PRE_UNINSTALL = :
  61. POST_UNINSTALL = :
  62.  
  63. EXEEXT =
  64. OBJEXT = o
  65. PATH_SEPARATOR = :
  66. AMTAR = tar
  67. AWK = gawk
  68. CC = gcc
  69. DEPDIR = .deps
  70. DL_LIB = -ldl
  71. INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
  72. PACKAGE = spike
  73. RANLIB = ranlib
  74. STRIP =
  75. VERSION = 2.9
  76. am__include = include
  77. am__quote =
  78. install_sh = /home/cr01nk/Desktop/SPIKE/SPIKE/src/install-sh
  79. SUFFIXES = .a .o .c
  80. CFLAGS = -Wall -funsigned-char -c -fPIC -ggdb -fno-stack-protector
  81.  
  82.  
  83. #webfuzz goes last so we don't crash on it early...
  84. #removed: oldmsrpcfuzz
  85. BINS = ss_spike pmspike statd_spike x11_spike post_fuzz post_spike msrpcfuzz do_post citrix ntlm2 ntlm_brute closed_source_web_server_fuzz quakeserver quake halflife webfuzz dltest gopherd generic_listen_tcp libdlrpc.so generic_web_server_fuzz generic_chunked generic_web_server_fuzz2 generic_send_udp generic_send_tcp sendmsrpc sunrpcfuzz dceoversmb msrpcfuzz_udp line_send_tcp
  86.  
  87. ALL = $(BINS)
  88.  
  89. INCLUDE = -I/usr/local/include -I../include  -Ilibntlm-0.21/
  90.  
  91. LIBSOCKET =
  92.  
  93. SPIKE_OBS = spike.o listener.o hdebug.o tcpstuff.o spike_dcerpc.o base64.o udpstuff.o spike_oncrpc.o
  94.  
  95. SS_OBS = $(SPIKE_OBS) ss_spike.o
  96.  
  97. PM_OBS = $(SPIKE_OBS) pmspike.o
  98.  
  99. SD_OBS = $(SPIKE_OBS) statd_spike.o
  100.  
  101. X11_OBS = $(SPIKE_OBS) x11_spike.o
  102.  
  103. PS_OBS = $(SPIKE_OBS) post_spike.o
  104.  
  105.  
  106. #SPIKE_HEADERS = ../include/spike.h
  107. HC_LIBS = $(LIBSOCKET)
  108. subdir = .
  109. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  110. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  111. CONFIG_CLEAN_FILES =
  112. DIST_SOURCES =
  113. DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
  114.         Makefile.in NEWS aclocal.m4 configure configure.in install-sh \
  115.         missing mkinstalldirs
  116. all: all-am
  117.  
  118. .SUFFIXES:
  119. .SUFFIXES: .a .o .c
  120.  
  121. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  122.  configure.lineno
  123. $(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
  124.         cd $(top_srcdir) && \
  125.           $(AUTOMAKE) --gnu  Makefile
  126. Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
  127.         cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  128.  
  129. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  130.         $(SHELL) ./config.status --recheck
  131. $(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  132.         cd $(srcdir) && $(AUTOCONF)
  133.  
  134. $(ACLOCAL_M4):  configure.in
  135.         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  136. uninstall-info-am:
  137. tags: TAGS
  138. TAGS:
  139.  
  140. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  141.  
  142. top_distdir = .
  143. distdir = $(PACKAGE)-$(VERSION)
  144.  
  145. am__remove_distdir = \
  146.   { test ! -d $(distdir) \
  147.     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  148.          && rm -fr $(distdir); }; }
  149.  
  150. GZIP_ENV = --best
  151. distcleancheck_listfiles = find . -type f -print
  152.  
  153. distdir: $(DISTFILES)
  154.         $(am__remove_distdir)
  155.         mkdir $(distdir)
  156.         @list='$(DISTFILES)'; for file in $$list; do \
  157.           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  158.           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  159.           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  160.             dir="/$$dir"; \
  161.             $(mkinstalldirs) "$(distdir)$$dir"; \
  162.           else \
  163.             dir=''; \
  164.           fi; \
  165.           if test -d $$d/$$file; then \
  166.             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  167.               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  168.             fi; \
  169.             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  170.           else \
  171.             test -f $(distdir)/$$file \
  172.             || cp -p $$d/$$file $(distdir)/$$file \
  173.             || exit 1; \
  174.           fi; \
  175.         done
  176.         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  177.           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  178.           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  179.           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  180.         || chmod -R a+r $(distdir)
  181. dist-gzip: distdir
  182.         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  183.         $(am__remove_distdir)
  184.  
  185. dist dist-all: distdir
  186.         $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  187.         $(am__remove_distdir)
  188.  
  189. # This target untars the dist file and tries a VPATH configuration.  Then
  190. # it guarantees that the distribution is self-contained by making another
  191. # tarfile.
  192. distcheck: dist
  193.         $(am__remove_distdir)
  194.         GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  195.         chmod -R a-w $(distdir); chmod a+w $(distdir)
  196.         mkdir $(distdir)/=build
  197.         mkdir $(distdir)/=inst
  198.         chmod a-w $(distdir)
  199.         dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
  200.           && cd $(distdir)/=build \
  201.           && ../configure --srcdir=.. --prefix=$$dc_install_base \
  202.             $(DISTCHECK_CONFIGURE_FLAGS) \
  203.           && $(MAKE) $(AM_MAKEFLAGS) \
  204.           && $(MAKE) $(AM_MAKEFLAGS) dvi \
  205.           && $(MAKE) $(AM_MAKEFLAGS) check \
  206.           && $(MAKE) $(AM_MAKEFLAGS) install \
  207.           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  208.           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  209.           && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
  210.               || { echo "ERROR: files left after uninstall:" ; \
  211.                    find $$dc_install_base -type f -print ; \
  212.                    exit 1; } >&2 ) \
  213.           && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  214.           && rm -f $(distdir).tar.gz \
  215.           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  216.         $(am__remove_distdir)
  217.         @echo "$(distdir).tar.gz is ready for distribution" | \
  218.           sed 'h;s/./=/g;p;x;p;x'
  219. distcleancheck: distclean
  220.         if test '$(srcdir)' = . ; then \
  221.           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  222.           exit 1 ; \
  223.         fi
  224.         test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  225.           || { echo "ERROR: files left after distclean:" ; \
  226.                $(distcleancheck_listfiles) ; \
  227.                exit 1; } >&2
  228. check-am: all-am
  229. check: check-am
  230. all-am: Makefile
  231.  
  232. installdirs:
  233.  
  234. install: install-am
  235. install-exec: install-exec-am
  236. install-data: install-data-am
  237. uninstall: uninstall-am
  238.  
  239. install-am: all-am
  240.         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  241.  
  242. installcheck: installcheck-am
  243. install-strip:
  244.         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  245.           INSTALL_STRIP_FLAG=-s \
  246.           `test -z '$(STRIP)' || \
  247.             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  248. mostlyclean-generic:
  249.  
  250. clean-generic:
  251.  
  252. distclean-generic:
  253.         -rm -f Makefile $(CONFIG_CLEAN_FILES)
  254.  
  255. maintainer-clean-generic:
  256.         @echo "This command is intended for maintainers to use"
  257.         @echo "it deletes files that may require special tools to rebuild."
  258. clean: clean-am
  259.  
  260. clean-am: clean-generic mostlyclean-am
  261.  
  262. distclean: distclean-am
  263.         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  264. distclean-am: clean-am distclean-generic
  265.  
  266. dvi: dvi-am
  267.  
  268. dvi-am:
  269.  
  270. info: info-am
  271.  
  272. info-am:
  273.  
  274. install-data-am:
  275.  
  276. install-exec-am:
  277.  
  278. install-info: install-info-am
  279.  
  280. install-man:
  281.  
  282. installcheck-am:
  283.  
  284. maintainer-clean: maintainer-clean-am
  285.         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  286.         -rm -rf autom4te.cache
  287. maintainer-clean-am: distclean-am maintainer-clean-generic
  288.  
  289. mostlyclean: mostlyclean-am
  290.  
  291. mostlyclean-am: mostlyclean-generic
  292.  
  293. uninstall-am: uninstall-info-am
  294.  
  295. .PHONY: all all-am check check-am clean clean-generic dist dist-all \
  296.         dist-gzip distcheck distclean distclean-generic distcleancheck \
  297.         distdir dvi dvi-am info info-am install install-am install-data \
  298.         install-data-am install-exec install-exec-am install-info \
  299.         install-info-am install-man install-strip installcheck \
  300.         installcheck-am installdirs maintainer-clean \
  301.         maintainer-clean-generic mostlyclean mostlyclean-generic \
  302.         uninstall uninstall-am uninstall-info-am
  303.  
  304.  
  305. .c.o:
  306.         ${CC} ${CFLAGS} ${INCLUDE} $<
  307.  
  308. all: $(ALL)
  309.  
  310. ss_spike: $(SS_OBS)
  311.         $(CC) -o ss_spike $(SS_OBS)
  312.  
  313. pmspike: $(PM_OBS)
  314.         $(CC) -o pmspike $(PM_OBS)
  315.  
  316. statd_spike: $(SD_OBS)
  317.         $(CC) -o statd_spike $(SD_OBS)
  318.  
  319. x11_spike: $(X11_OBS)
  320.         $(CC) -o x11_spike $(X11_OBS)
  321.  
  322. post_spike: $(PS_OBS)
  323.         $(CC) -o post_spike $(PS_OBS)
  324.  
  325. webfuzz: $(SPIKE_OBS) webfuzz.o
  326.         $(CC) -o webfuzz $(SPIKE_OBS) webfuzz.o
  327.  
  328. gopherd: $(SPIKE_OBS) gopherd.o
  329.         $(CC) -o gopherd $(SPIKE_OBS) gopherd.o
  330.  
  331. post_fuzz: $(SPIKE_OBS) post_fuzz.o
  332.         $(CC) -o post_fuzz $(SPIKE_OBS) post_fuzz.o
  333.  
  334. closed_source_web_server_fuzz: $(SPIKE_OBS) closed_source_web_server_fuzz.o
  335.         $(CC) -o closed_source_web_server_fuzz $(SPIKE_OBS) closed_source_web_server_fuzz.o
  336.  
  337. msrpcfuzz: $(SPIKE_OBS) msrpcfuzz.o
  338.         $(CC) -ggdb -o msrpcfuzz $(SPIKE_OBS) msrpcfuzz.o
  339.  
  340. msrpcfuzz_udp: $(SPIKE_OBS) msrpcfuzz_udp.o
  341.         $(CC) -ggdb -o msrpcfuzz_udp $(SPIKE_OBS) msrpcfuzz_udp.o
  342.  
  343. dceoversmb: $(SPIKE_OBS) dceoversmb.o
  344.         $(CC) -ggdb -o dceoversmb $(SPIKE_OBS) dceoversmb.o
  345.  
  346. cifs: $(SPIKE_OBS) cifs.o
  347.         $(CC) -ggdb -o cifs $(SPIKE_OBS) cifs.o
  348.  
  349. sendmsrpc: $(SPIKE_OBS) sendmsrpc.o
  350.         $(CC) -ggdb -o sendmsrpc $(SPIKE_OBS) sendmsrpc.o
  351.  
  352. oldmsrpcfuzz: $(SPIKE_OBS) oldmsrpcfuzz.o
  353.         $(CC) -ggdb -o oldmsrpcfuzz $(SPIKE_OBS) oldmsrpcfuzz.o
  354.  
  355. do_post: $(SPIKE_OBS) do_post.o
  356.         $(CC) -ggdb -o do_post $(SPIKE_OBS) do_post.o
  357.  
  358. ntlm_brute: $(SPIKE_OBS) ntlm_brute.o libntlm-0.21/libntlm.a
  359.         $(CC) -ggdb -o ntlm_brute  $(SPIKE_OBS) ntlm_brute.o libntlm-0.21/libntlm.a
  360.  
  361. ntlm2: $(SPIKE_OBS) ntlm2.o libntlm-0.21/libntlm.a
  362.         $(CC) -ggdb -o ntlm2  $(SPIKE_OBS) ntlm2.o libntlm-0.21/libntlm.a
  363.  
  364. sunrpcfuzz: $(SPIKE_OBS) sunrpcfuzz.o
  365.         $(CC) -ggdb -o sunrpcfuzz $(SPIKE_OBS) sunrpcfuzz.o
  366.  
  367. libntlm-0.21/libntlm.a:
  368.         cd libntlm-0.21 && make
  369.  
  370. webmitm: webmitm.o buf.o
  371.         $(CC) -ggdb -o webmitm webmitm.o buf.o -lssl -lcrypto
  372.  
  373. citrix: citrix.o $(SPIKE_OBS)
  374.         $(CC) -ggdb -o citrix citrix.o $(SPIKE_OBS)
  375.  
  376. halflife: halflife.o $(SPIKE_OBS)
  377.         $(CC) -ggdb -o halflife halflife.o $(SPIKE_OBS)
  378.  
  379. quake: quake.o $(SPIKE_OBS)
  380.         $(CC)  -ggdb -o quake quake.o  $(SPIKE_OBS)
  381.  
  382. quakeserver: quakeserver.o $(SPIKE_OBS)
  383.         $(CC)  -ggdb -o quakeserver quakeserver.o  $(SPIKE_OBS)
  384.  
  385. dltest: dltest.o dlrpc.o dlargs.o
  386.         $(CC) -ggdb -o dltest dltest.o dlrpc.o dlargs.o $(DL_LIB)
  387.  
  388. #this next line may be less than portable
  389.         #ld   -shared -soname libdlrpc.so -o libdlrpc.so -lc dlrpc.o dlargs.o $(SPIKE_OBS)
  390. libdlrpc.so: dlrpc.o dlargs.o $(SPIKE_OBS)
  391.         ld   -shared -soname libdlrpc.so -o libdlrpc.so -lc dlrpc.o dlargs.o $(SPIKE_OBS)
  392.         #ld -dynamic -flat_namespace -bundle -undefined suppress -o libdlrpc.so -lc -ldl dlrpc.o dlargs.o $(SPIKE_OBS)
  393.  
  394. generic_send_tcp: generic_send_tcp.o dlrpc.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  395.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  396.         $(CC) -ggdb -o generic_send_tcp generic_send_tcp.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  397.  
  398. generic_listen_tcp: generic_listen_tcp.o dlrpc.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  399.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  400.         $(CC) -ggdb -o generic_listen_tcp generic_listen_tcp.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  401.  
  402. generic_web_server_fuzz: generic_web_server_fuzz.o dlrpc.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  403.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  404.         $(CC) -ggdb -o generic_web_server_fuzz generic_web_server_fuzz.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  405.  
  406. generic_web_server_fuzz2: generic_web_server_fuzz2.o dlrpc.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  407.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  408.         $(CC) -ggdb -o generic_web_server_fuzz2 generic_web_server_fuzz2.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  409.  
  410. generic_chunked: generic_chunked.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  411.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  412.         $(CC) -ggdb -o generic_chunked generic_chunked.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  413.  
  414. generic_send_udp: generic_send_udp.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  415.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  416.         $(CC) -ggdb -o generic_send_udp generic_send_udp.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  417.  
  418. line_send_tcp: line_send_tcp.o dlargs.o $(SPIKE_OBS) libdlrpc.so
  419.         export LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH)
  420.         $(CC) -ggdb -o line_send_tcp line_send_tcp.o dlrpc.o dlargs.o $(SPIKE_OBS) $(DL_LIB) -L. -ldlrpc
  421.  
  422. clean:
  423.         rm -f *~ *.bak
  424.         rm -f include/*~ include/*.bak
  425.         rm -f *.o $(BINS)
  426.         cd libntlm-0.21 && make clean
  427.  
  428. realclean: clean
  429.         rm -rf #* *.swp *~ core
  430.         ls -al out* *.txt
  431. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  432. # Otherwise a system limit (for SysV at least) may be exceeded.
  433. .NOEXPORT:
RAW Paste Data
Pastebin PRO Summer Special!
Get 40% OFF on Pastebin PRO accounts!
Top